# ################################################################################
# Title: HATI excecute command script
# Project: HATI
#
# File       : excecute_command.tcl
#
# Description: This script is used to execute a command in the HATI shell through
# the JTAG to AXI module.
# 
#
# Licence and Copyright:
# Copyright (c) 2022 Safran Trusted 4D (https://www.safran-group.com/companies/safran-trusted-4d)
# 
# You might use, distribute and modify this code and its resulting
# binary form under the terms of the LICENSE.txt provided within the
# repository or project.
#
# If you have not received a copy of the LICENSE.txt along with
# this file please write to info<DOT>spain<AT>orolia<DOT>com and consider that
# this file can not be copied and/or distributed in any forms.
# ################################################################################

# Include the external procedures
source tcl_libs/ublaze_uart_send.tcl
source tcl_libs/uart_receive_command.tcl
source tcl_libs/hwutils.tcl

set command           [lindex $argv 0]
set hati_base         [lindex $argv 1]
set address           [lindex $argv 2]
set xvc_mode          [lindex $argv 3]
set print_obsolete    [lindex $argv 4]

connects_to_remote_device $address $xvc_mode

if { ${print_obsolete} == 0 } {
    uart_receive_command $hati_base print 1
}

send_command $command $hati_base
after 1
uart_receive_command $hati_base print 0
# set read_string [uart_receive_command $hati_base print]
# puts "${read_string}"
